Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.management.configuration
Interface StageMBean

All Known Subinterfaces:
  AdapterMBean, CacheStageMBean, DefaultAdapterMBean, EPLProcessorMBean, EventBeanMBean, HttpPubSubAdapterMBean, JMSAdapterMBean, StreamMBean

public interface StageMBean
extends WebLogicMBean, javax.management.NotificationEmitter

Method Summary
`void` | `configurePlayback(long startTime, long endTime, float speed, boolean repeat)` Configures a stage with runtime control parameters like playback speed and record time of events to be played back.
`void` | `configurePlaybackWithDuration(long startTime, long duration, float speed, boolean repeat)` Configures a stage with runtime control parameters like playback speed and record time of events to be played back.
`void` | `configureRecord(long startTime, long endTime)` Configures a stage with the time range during which events from from the stage will be recorded.
`void` | `configureRecordWithDuration(long startTime, long duration)` Configures a stage with the time range during which events from from the stage will be recorded.
`java.util.Map` | `getPlaybackConfiguration()`
`java.util.Map` | `getRecordConfiguration()`
`boolean` | `isPlayingBack()` Returns true if events are being played back to this stage.
`boolean` | `isRecording()` Returns true if this stage is currently recording events flowing out of the stage.
`void` | `startPlayback()` Starts playback on a stage that is already configured with the required playback parameters.
`void` | `startRecording()` Starts recording on a stage that is already configured with the required record parameters.
`void` | `stopPlayback()` Stops playback on a stage.
`void` | `stopRecording()` Stops recording on a stage.

Methods inherited from interface com.bea.wlevs.management.WebLogicMBean
`getName, getObjectName, getType`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### startRecording

    public void startRecording()
                        throws javax.management.JMException

  Starts recording on a stage that is already configured with the required record parameters. If the stage is already recording events, this operation will have no effect. This method makes no changes to the persisted record configurations for the stage.

  If the stage is not already configured for recording, this operation will throw an exception.

  Throws:
    javax.management.JMException - if an unexpected error occurs

### stopRecording

    public void stopRecording()
                       throws javax.management.JMException

  Stops recording on a stage. If the stage is not already configured for recording, this operation will be ignored and an exception will NOT be thrown.

  This method makes no changes to the persisted record configurations for the stage.

  Throws:
    javax.management.JMException - if an unexpected error occurs

### startPlayback

    public void startPlayback()
                       throws javax.management.JMException

  Starts playback on a stage that is already configured with the required playback parameters. This method makes no changes to the persisted playback configurations for the stage.

  If the stage is not already configured for playback, this operation will throw an exception.

  Throws:
    javax.management.JMException - if an unexpected error occurs

### stopPlayback

    public void stopPlayback()
                      throws javax.management.JMException

  Stops playback on a stage. If the stage is not already configured for playback, this operation will be ignored and an exception will NOT be thrown.

  This method makes no changes to the persisted record configurations for the stage.

  Throws:
    javax.management.JMException - if an unexpected error occurs

### configureRecord

    public void configureRecord(long startTime,
                                long endTime)
                         throws javax.management.JMException

  Configures a stage with the time range during which events from from the stage will be recorded. The stage must have been already configured with the other necessary record parameters like data-set name.

  Parameters:
    `startTime` - time in milliseconds, after which events from the stage will be recorded. Use -1 to specify no start time.
    `endTime` - time in milliseconds, before which events from the stage will be recorded. Use -1 to specify no end time.
  Throws:
    javax.management.JMException - if an unexpected error occurs

### configureRecordWithDuration

    public void configureRecordWithDuration(long startTime,
                                            long duration)
                                     throws javax.management.JMException

  Configures a stage with the time range during which events from from the stage will be recorded. The stage must have been already configured with the other necessary record parameters like data-set name.

  Parameters:
    `startTime` - time in milliseconds, after which events from the stage will be recorded. Use -1 to specify no start time.
    `duration` - duration time in milliseconds, before which events from the stage will be recorded. Use -1 to specify no duration time.
  Throws:
    javax.management.JMException - if an unexpected error occurs

### configurePlaybackWithDuration

    public void configurePlaybackWithDuration(long startTime,
                                              long duration,
                                              float speed,
                                              boolean repeat)
                                       throws javax.management.JMException

  Configures a stage with runtime control parameters like playback speed and record time of events to be played back. The stage must have been already configured with the other necessary playback parameters like data-set name.

  Parameters:
    `startTime` - the minimum record time metadata value, in milliseconds, for the events to be played back. Use -1, if there should be no minimum record time value.
    `duration` - the duration time metadata value, in milliseconds, for the events to be played back. Use -1, if there should be no duration record time value.
    `speed` - float indicating the speed at which the events should be played back. Only positive values greater than 0 are allowed here. A value of 1 will play the events back at the same rate that they came in. A value lesser than 1 will play the events at a rate that is 'speed' times slower. Similarly, value greater than 1 will play the events at a rate that is 'speed' times faster.
    `repeat` - boolean indicating if playback should loop back to the first event once all the events in the specified time range have been played back. If this is true, events will be played back from the first event and will continue looping back until playback is disabled. If this is false, events satisfying the range will be played back once and playback will stop.
  Throws:
    java.lang.IllegalArgumentException - if any of the parameter values are invalid, like a value <=0 for speed
    javax.management.JMException - if an unexpected error occurs

### isRecording

    public boolean isRecording()
                        throws javax.management.JMException

  Returns true if this stage is currently recording events flowing out of the stage. This gives more information than just finding out if the stage is configured for recording or not. This returns true if the stage is configured for recording and if it is, at this point in time, recording events.

  Returns:
    true if the stage is currently recording events flowing out of it; false otherwise.

### isPlayingBack

    public boolean isPlayingBack()
                          throws javax.management.JMException

  Returns true if events are being played back to this stage. This gives more information than just finding out if the stage is configured for playback or not. This returns true if the stage is configured for playback and if events are being played back to the stage at this point in time.

  Returns:
    true if events are being played to the stage currently; false otherwise.

### configurePlayback

    public void configurePlayback(long startTime,
                                  long endTime,
                                  float speed,
                                  boolean repeat)
                           throws javax.management.JMException

  Configures a stage with runtime control parameters like playback speed and record time of events to be played back. The stage must have been already configured with the other necessary playback parameters like data-set name.

  Parameters:
    `startTime` - the minimum record time metadata value, in milliseconds, for the events to be played back. Use -1, if there should be no minimum record time value.
    `endTime` - the maximum record time metadata value, in milliseconds, for the events to be played back. Use -1, if there should be no maximum record time value.
    `speed` - float indicating the speed at which the events should be played back. Only positive values greater than 0 are allowed here. A value of 1 will play the events back at the same rate that they came in. A value lesser than 1 will play the events at a rate that is 'speed' times slower. Similarly, value greater than 1 will play the events at a rate that is 'speed' times faster.
    `repeat` - boolean indicating if playback should loop back to the first event once all the events in the specified time range have been played back. If this is true, events will be played back from the first event and will continue looping back until playback is disabled. If this is false, events satisfying the range will be played back once and playback will stop.
  Throws:
    java.lang.IllegalArgumentException - if any of the parameter values are invalid, like a value <=0 for speed
    javax.management.JMException - if an unexpected error occurs

### getRecordConfiguration

    public java.util.Map getRecordConfiguration()
                                         throws javax.management.JMException

  Returns:
    Map of record configuration with key as the parameter name and value as parameter value if it exists, null otherwise Following is the list of keys that are set in the map with their appropriate values entry in the set is there ONLY when it has non-empty (non null) value "datasetName" name of the event store "eventTypeList" comma seperated list of event types "providerName" name of the EventStoreProvider "timeRange" two seperate entry in a map for start and end time "start" start time, time in milliseconds "end" end time, time in milliseconds "timeRangeOffset" two seperate entry in a map for start time and duration "start" start time, time in milliseconds "duration" duration time , duration in milliseconds
  Throws:
    javax.management.JMException -

### getPlaybackConfiguration

    public java.util.Map getPlaybackConfiguration()
                                           throws javax.management.JMException

  Returns:
    Map of playback configuration with key as the parameter name and value as parameter value if it exists, null otherwise Following is the list of keys that are set in the map with their appropriate values entry in the set is there ONLY when it has non-empty (non null) value "datasetName" name of the event store "eventTypeList" comma seperated list of event types "providerName" name of the EventStoreProvider "timeRange" two seperate entry in a map for start and end time "start" start time, time in milliseconds "end" end time, as time in milliseconds "timeRangeOffset" two seperate entry in a map for start time and duration "start" start time, time in milliseconds "duration" duration time , duration in milliseconds "playbackSpeed" speed of playback "repeat" true/false based on if repeat is enabled or not
  Throws:
    javax.management.JMException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.